Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000576Core InformPropertiespublic2011-02-20 12:482014-05-07 07:33
Assigned Tograham 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000576: Properties and adjectives with overlapping names on different kinds interfere with one another
DescriptionExpected behavior:

Previously (6E72), the example provided worked (and allowed speaking intelligently of "if somedoor is apparent" and "rule for obscure rooms" and so forth).

Actual behavior:

Now (6G60), this gives an error:

You wrote 'A room is usually apparent' : but the property apparent for the room is not allowed to exist, because you haven't said it is. What properties something can have depends on what kind of thing it is: see the Index for details.

However, if I remove "A room is usually apparent" and check the index:

door (plural doors)
Usually closed not open, openable not unopenable, unlocked not locked, apparent.

room (plural rooms)
Can have description (text), map region (object), room condition (room condition).

room condition (plural room conditions)
Matches: value, enumerated value, sayable value
obvious , apparent , obscure
Minimal Source Text To Reproduce
A door can be apparent. A door is usually apparent.

A room can be obvious, apparent, or obscure. A room is usually apparent.

This is a room.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships
related to 0000374closedgraham Condition properties cannot be shared between kinds 

-  Notes
graham (administrator)
2014-03-15 03:05

Fixed. This source text is actually illegal - try putting the two declarations the other way around and it's caught more politely. There's now a better problem message this way, too.

- Issue History
Date Modified Username Field Change
2011-02-20 12:48 vimes New Issue
2011-02-24 20:39 jmcgrew Status new => acknowledged
2011-02-27 19:21 EmacsUser Status acknowledged => confirmed
2011-07-02 18:08 EmacsUser Relationship added related to 0000686
2012-03-12 17:43 EmacsUser Relationship added related to 0000374
2012-03-30 22:16 EmacsUser Relationship deleted related to 0000686
2012-03-31 20:03 jmcgrew Relationship added child of 0000898
2014-03-09 16:03 graham Relationship deleted child of 0000898
2014-03-15 03:05 graham Note Added: 0002559
2014-03-15 03:05 graham Status confirmed => resolved
2014-03-15 03:05 graham Resolution open => fixed
2014-03-15 03:05 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker